Package org.jcsp.lang

# Interface RejectableChannelOutput

All Superinterfaces:
  `ChannelOutput`, `Poisonable`

public interface RejectableChannelOutput extends ChannelOutput
Deprecated.
This channel is superceded by the poison mechanisms, please see `PoisonException`. It remains only because it is used by some of the networking features.
Defines an interface for a channel output end which may reject data if the reader is not prepared to receive it and calls `reject` instead of `read` on the input channel end.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`void`
`write(Object o)`
Deprecated.
Writes data over the channel.

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

## Method Details

### write

void write(Object o) throws ChannelDataRejectedException
Deprecated.
Writes data over the channel.

Specified by:
  `write` in interface `ChannelOutput`
Parameters:
  `o` - an object to write over the channel.
Throws:
  `ChannelDataRejectedException` - if the reader rejects the data instead of reading it from the channel.